import React, { useState } from 'react';
import { View, Text, TouchableOpacity } from 'react-native';
import { PageWrapper, Header, Modal, FlatList as List } from 'src/components';
import { styles } from './styles';

import ChevronIcon from '../../../../../assets/icons/travels-screens/chevron-bottom.svg';
import AddIcon from '../../../../../assets/icons/travels-screens/circle-plus.svg';
import TripSvg from '../../../../../assets/icons/travels-screens/trip.svg';

const TripsScreen = () => {
  const [isDatePickerVisible, setDatePickerVisible] = useState(false);
  return (
    <PageWrapper>
      <Header label="Trips" />
      <View style={styles.tabContainer}>
        <TouchableOpacity style={styles.regionSelector} onPress={() => setDatePickerVisible(true)}>
          <Text style={styles.regionText}>{'2024'}</Text>
          <ChevronIcon />
        </TouchableOpacity>
        <TouchableOpacity style={styles.addNewTab}>
          <AddIcon />
          <Text style={styles.addNewTabText}>Add New Trip</Text>
        </TouchableOpacity>
      </View>
      <View style={{ flex: 1, alignItems: 'center', justifyContent: 'center', gap: 10 }}>
        <View style={styles.noTripsIcon}>
          <TripSvg fill={'rgb(242, 242, 242)'} />
        </View>
        <Text style={styles.noTripsText}>No trips at the moment</Text>
      </View>

      <Modal
        onRequestClose={() => setDatePickerVisible(false)}
        headerTitle={'Select Date'}
        visible={isDatePickerVisible}
      >
        <List
          itemObject={(object) => {
            setDatePickerVisible(false);
          }}
          initialData={['2024']}
          date={true}
        />
      </Modal>
    </PageWrapper>
  );
};

export default TripsScreen;
